Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

Path Parameters

factTableId
string
required

Specify a specific fact table

Body

application/json
column
string
required

The column identifier used in generated SQL. Must contain only letters, numbers, and underscores and end with _vc.

Example:

"revenue_vc"

datatype
enum<string>
required

The data type of the computed column

Available options:
number,
string,
date,
boolean,
json,
binary,
other
sql
string
required

The SQL expression that computes the column value

Example:

"price * quantity"

name
string

Display name for the column

description
string
Maximum string length: 10000
numberFormat
enum<string>
Available options:
,
currency,
time:seconds,
time:milliseconds,
memory:bytes,
memory:kilobytes

Response

200 - application/json

Resource created

factTableColumn
object
required